﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GSite.Model.Entities;

namespace GSite.Model.Repositories
{
    public interface IUserRepository : IRepository
    {
        User GetUserById(Guid id);
        IEnumerable<User> GetAllUsers();
        User CreateUser();
        User GetUserByUsername(string userName);
        bool HasUser(string userName, string password);
        void DeleteUser(Guid id);
        User GetUserByPersonOrEntityIdentifier(string identificationNumber);
    }
}
