﻿
var currentYear = new Date().getFullYear();
var nextYear = currentYear + 5;

$.datepicker.setDefaults({
    showOn: 'both',
    buttonImage: '/Content/Images/calendar_icon.gif',
    buttonImageOnly: true,
    dateFormat: 'dd.mm.yy',
    dayNames: ['Неделя', 'Понеделник', 'Вторник', 'Сряда', 'Четвъртък', 'Петък', 'Събота'],
    dayNamesMin: ['Нд', 'Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб'],
    currentText: 'Днес',
    firstDay: 1,
    monthNames: ['Януари', 'Февруари', 'Март', 'Април', 'Май', 'Юни', 'Юли', 'Август', 'Септември', 'Октомври', 'Ноември', 'Декември'],
    monthNamesShort: ['Яну', 'Фев', 'Мар', 'Апр', 'Май', 'Юни', 'Юли', 'Авг', 'Сеп', 'Окт', 'Ное', 'Дек'],
    nextText: 'Следващ',
    prevText: 'Предишен',
    buttonText: 'Календар',
    changeMonth: true,
    changeYear: true,
    showOtherMonths: true,
    yearRange: '2009:' + nextYear
});


(function ($) {
    $.maxZIndex = $.fn.maxZIndex = function(opt) {
        /// <summary>
        /// Returns the max zOrder in the document (no parameter)
        /// Sets max zOrder by passing a non-zero number
        /// which gets added to the highest zOrder.
        /// </summary>    
        /// <param name="opt" type="object">
        /// inc: increment value, 
        /// group: selector for zIndex elements to find max for
        /// </param>
        /// <returns type="jQuery" />
        var def = { inc: 10, group: "*" };
        $.extend(def, opt);
        var zmax = 0;
        $(def.group).each(function() {
            var cur = parseInt($(this).css('z-index'));
            zmax = cur > zmax ? cur : zmax;
        });
        if (!this.jquery)
            return zmax;

        return this.each(function() {
            zmax += def.inc;
            $(this).css("z-index", zmax);
        });
    }
})(jQuery);