﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GSite.Model.Entities;

namespace GSite.Model.Repositories
{
    public interface IUserGroupRepository : IRepository
    {
        UserGroup GetById(Guid id);
        IEnumerable<UserGroup> GetAll();
        Dictionary<string, Guid> GetSpecific(params string[] ugNames);
        string GetNameById(Guid? id);
    }
}
