﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using GSite.Model.Repositories;

namespace GSite.Web.Controllers
{
    public partial class HomeController : BaseController
    {
        private IUserRepository _userRepository;        

        public HomeController(IUserRepository userRepository)
        {
            _userRepository = userRepository;
        }

        public virtual ActionResult Index()
        {
            var t = _userRepository.GetAllUsers();

            ViewBag.Message = Resources.Strings.WelcomeText;

            return View();
        }

        public virtual ActionResult About()
        {
            return View();
        }

        [HttpPost]
        [ValidateInput(false)]
        public ActionResult Test(FormCollection form)
        {
            return View(Views.Index);
        }
    }
}
